Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/4427/?format=api
{ "ob_id": 4427, "uuid": "297b7eec7ef57e025323856166aa4ee5", "title": "METAR Reports collected by the Met Office MetDB System", "abstract": "The METAR reports describe hourly observations from 562 observation stations across the globe, including 131 UK stations. The data are produced by Synoptic observations for aviation purposes, giving measurements of parameters such as cloud amount, wind speed and direction, visibility, present weather, and maximum gust speed. The data are collected by observation stations worldwide and transmitted within the METAR message.", "keywords": "Met Office, MetDB, METAR, meteorology", "publicationState": "published", "dataPublishedTime": "2008-08-10T08:59:50", "doiPublishedTime": null, "updateFrequency": "continual", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/4428/?format=api", "dataPath": "/badc/ukmo-metdb/raw/metars", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 21334300321, "numberOfFiles": 23302, "fileFormat": "<div property=\"cedacat:formats\">\n<div class=\"formats\">Data availability and file format</div>\n<p>The data are held in the BADC-CSV file format, each of which will contain one or more data records and are comma separated variables. \"Metadata\" are provided giving a full description of the content of the data. More information about the file format can be found on the <a href=\"http://badc.nerc.ac.uk/help/formats/badc-csv/\">BADC-CSV format page</a>, which also contains two example files taken from the MetDB dataset.</p>\n<p>Ingest scripts run at the BADC every 20 minutes, converting the incoming files to the self describing BADC-CSV format, but neither the processed or raw data are placed into archive until the following day.</p>\n\n</div>\n\n\n" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1262/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/81/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data are extracted from the Met Office's \"metDB\" system and supplied to BADC. These are then processed to generate BADC-CSV files, where possible. METARS and CLIMAT message types are stored as original message types only within http://data.ceda.ac.uk/badc/ukmo-metdb/raw", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/2976/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/4405/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/4355/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/20845/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/20848/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/20849/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/20851/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/41632/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/41633/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/20847/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/20846/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/4429/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2532/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "ukmo_wx", "label": "restricted: ukmo_wx group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ukmo_agreement.pdf", "licenceClassifications": "academic" }, { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2533/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "ukmo_wx_gov", "label": "restricted: ukmo_wx_gov group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ukmo_agreement_gov.pdf", "licenceClassifications": "policy" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }